import { IJWTConfig } from "./interface";
export { createActionCreators, SET, REMOVE, EXPIRED } from "./actions";
export { isTokenExpired } from "./utils";
export declare const createJWT: <S>(configs?: Partial<IJWTConfig<S>>) => {
    reducer: (state: IJWTState, action: any) => IJWTState;
    saga: () => IterableIterator<import("redux-saga/effects").GenericAllEffect<import("redux-saga/effects").ForkEffect | IterableIterator<import("redux-saga/effects").AllEffect | import("redux-saga/effects").SelectEffect>>>;
    createSelectors: (id: string) => {
        getToken: (state: S) => ITokenObject;
        isTokenExpired: (state: S) => boolean;
    };
};
export { ITokenObject, IJWTConfig, IJWTState, } from "./interface";
export default createJWT;
